#!/bin/bash
# 2.6) Configuración de impresoras: Instalación

function impresoras_instalar() {
    PARAM="${1}"
    CONT="${2}"
    URLPPD="$(jq -r ".${PARAM}[${CONT}].url" <<<"${JSON}")"
    NOMBREIMPR="$(jq -r ".${PARAM}[${CONT}].nombre" <<<"${JSON}")"
    PROTOCOLO="$(jq -r ".${PARAM}[${CONT}].puerto" <<<"${JSON}")"
    PREDETERMINADA="$(jq -r ".${PARAM}[${CONT}].predeterminada" <<<"${JSON}")"
    # Comprobamos si hay que configurar tea4cups:
    CONFOPTSTEA4CUPS="$(jq -r ".${PARAM}[${CONT}].confoptstea4cups" <<<"${JSON}")"
    ! [[ ${CONFOPTSTEA4CUPS} =~ true ]] && CONFOPTSTEA4CUPS=false
    TIME_GAP_MAX="$(jq -r ".${PARAM}[${CONT}].timegapmax" <<<"${JSON}")"
    USERCODEPRINT="$(jq -r ".${PARAM}[${CONT}].codeprint" <<<"${JSON}")"
    NOMBREPRINT="$(jq -r ".${PARAM}[${CONT}].userprint" <<<"${JSON}")"
    MODO_PASS_HIDDEN="$(jq -r ".${PARAM}[${CONT}].passhidden" <<<"${JSON}")"
    PASSRETENCION="$(jq -r ".${PARAM}[${CONT}].coderetencion" <<<"${JSON}")"
    LOCKEDRICOHNX="$(jq -r ".${PARAM}[${CONT}].lockedricohnx" <<<"${JSON}")"
    SHOWUSERCODEPRINT="$(jq -r ".${PARAM}[${CONT}].showcodeprint" <<<"${JSON}")"
    SHOWNOMBREPRINT="$(jq -r ".${PARAM}[${CONT}].showuserprint" <<<"${JSON}")"
    if vx-conf-impresoras instalar \
        "${URLPPD}" \
        "${NOMBREIMPR}" \
        "${PROTOCOLO}" \
        "${PREDETERMINADA}" \
        ${CONFOPTSTEA4CUPS} \
        "${TIME_GAP_MAX}" \
        "${USERCODEPRINT}" \
        "${NOMBREPRINT}" \
        "${MODO_PASS_HIDDEN}" \
        "${PASSRETENCION}" \
        "${LOCKEDRICOHNX/null/0}" \
        "${SHOWUSERCODEPRINT/null/1}" \
        "${SHOWNOMBREPRINT/null/1}"; then
        "${echo_verde}" "=> ¡¡Ok!! Impresora instalada: ${NOMBREIMPR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas impresora: ${NOMBREIMPR}"
    fi
    # Comprobamos si hay que instalar filtros de konica. Devuelve true o false
    FILTROS_KONICA="$(jq -r ".${PARAM}[${CONT}].filtroskonica" <<<"${JSON}")"
    ${FILTROS_KONICA} && vx-conf-impresoras filtroskonica
}

"${echo_titulo}" "*  [[ Instalar Impresoras ... ]]  *"
PARAM="impresoras.instalar.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Instalar Impresoras" "impresoras_instalar"
